Skip to main content
Get Cluster Instances kubeconfig by name.
Authentication · API availability · Download OpenAPI

Authorizations

Authorization
string
header
required

Bearer token for user session

Headers

X-Request-Id
string

User-Agent specified id to track a request

Path Parameters

name
string
required

User defined name of the cluster instance, unique across the enterprise. Once cluster instance is created, name can’t be changed

Response

A successful response.

ClusterInstanceStatusMsg encapsulates the status of an cluster instance

id
string
read-only

System defined universally unique Id of the cluster instance

Pattern: [0-9A-Za-z-]+
name
string

User defined name of the cluster instance, unique across the enterprise. Once cluster instance is created, name can’t be changed

Required string length: 3 - 256
Pattern: [a-zA-Z0-9][a-zA-Z0-9_.-]+
title
string

User defined title of the cluster instance. Title can be changed at any time

Required string length: 3 - 256
Pattern: ^[a-zA-Z0-9]+[a-zA-Z0-9!-~ ]+$
tags
object

Tags are name/value pairs that enable you to categorize resources. Tag names are case insensitive with max_length 512 and min_length 3. Tag values are case sensitive with max_length 256 and min_length 3.

clusterType
enum<string>
default:CLUSTER_TYPE_UNSPECIFIED

Type of cluster

Available options:
CLUSTER_TYPE_UNSPECIFIED,
CLUSTER_TYPE_K3S,
CLUSTER_TYPE_TKG_ATTACH
projectId
string

project id which the given cluster instance belong to

adminState
enum<string>
default:ADMIN_STATE_UNSPECIFIED

SPU details

Available options:
ADMIN_STATE_UNSPECIFIED,
ADMIN_STATE_CREATED,
ADMIN_STATE_DELETED,
ADMIN_STATE_ACTIVE,
ADMIN_STATE_INACTIVE,
ADMIN_STATE_REGISTERED,
ADMIN_STATE_ARCHIVED,
ADMIN_STATE_DELETION_PENDING
runState
enum<string>
default:CLUSTER_RUN_STATE_UNSPECIFIED

operation status

Available options:
CLUSTER_RUN_STATE_UNSPECIFIED,
CLUSTER_RUN_STATE_INIT,
CLUSTER_RUN_STATE_PROVISIONING_SEED_SERVER,
CLUSTER_RUN_STATE_PROVISIONED_SEED_SERVER,
CLUSTER_RUN_STATE_UNHEALTHY,
CLUSTER_RUN_STATE_PROVISIONING_NODES,
CLUSTER_RUN_STATE_HEALTHY,
CLUSTER_RUN_STATE_PARTIALLY_HEALTHY,
CLUSTER_RUN_STATE_OFFLINE
clusterPolicyId
string
read-only

System defined universally unique Id of the cluster policy

Pattern: [0-9A-Za-z-]+
minEdgeDevices
number<int64>

Minimum number of edge device required for the cluster instance

maxEdgeDevices
number<int64>

Maximum number of edge device allowed in the cluster instance

minServerNodes
number<int64>

Minimum number of server nodes required for the cluster instance

maxServerNodes
number<int64>

Maximum number of server nodes allowed in the cluster instance

minAgentNodes
number<int64>

Minimum number of agent nodes required for the cluster instance

maxAgentNodes
number<int64>

Maximum number of agent nodes allowed in the cluster instance

edgeNodeSummaries
object[]

Device summaries

memory
Memory Summary · object

memory summary

storage
Storage Summary · object

storage summary

cpu
CPU Summary · object

CPU details

serverNodeSummaries
App instance status summary · object[]

Cluster Server Nodes (appInstances) summaries

agentNodeSummaries
App instance status summary · object[]

Cluster Agent Nodes (appInstances) summaries

nodesJobName
string

Name of the job object tracking ClusterNodes deployment

Required string length: 3 - 256
Pattern: [a-zA-Z0-9][a-zA-Z0-9_.-]+
orchestratorClusterID
string

Orchestrator cluster object ID

Maximum string length: 256
orchestratorClusterRunState
enum<string>
default:RUN_STATE_UNSPECIFIED

Orchestrator cluster object's state

Available options:
RUN_STATE_UNSPECIFIED,
RUN_STATE_ONLINE,
RUN_STATE_HALTED,
RUN_STATE_INIT,
RUN_STATE_REBOOTING,
RUN_STATE_OFFLINE,
RUN_STATE_UNKNOWN,
RUN_STATE_UNPROVISIONED,
RUN_STATE_PROVISIONED,
RUN_STATE_SUSPECT,
RUN_STATE_DOWNLOADING,
RUN_STATE_RESTARTING,
RUN_STATE_PURGING,
RUN_STATE_HALTING,
RUN_STATE_ERROR,
RUN_STATE_VERIFYING,
RUN_STATE_LOADING,
RUN_STATE_CREATING_VOLUME,
RUN_STATE_BOOTING,
RUN_STATE_MAINTENANCE_MODE,
RUN_STATE_START_DELAYED,
RUN_STATE_BASEOS_UPDATING,
RUN_STATE_PREPARING_POWEROFF,
RUN_STATE_POWERING_OFF,
RUN_STATE_PREPARED_POWEROFF
orchestratorClusterErrMsg
OrchestratorObjectError is used to store the error details of the Orchestrator object. · object

Error message from Orchestrator cluster object

orchestratorClusterWarnMsg
OrchestratorObjectError is used to store the error details of the Orchestrator object. · object

Warning message from Orchestrator cluster object

rawOrchestratorClusterStatus
string

Raw status of Orchestrator cluster object

Maximum string length: 256
edgeNodeJobNames
string[]

Array of job names which are tracking dynamic device addition/deletion

nodeRefreshJobNames
string[]

Array of job names which are tracking cluster nodes refresh action

nodesJobID
string
read-only

ID of the job object tracking ClusterNodes deployment

Pattern: [0-9A-Za-z-]+
tmcStatus
Status of TMC cluster · object